> ## Documentation Index
> Fetch the complete documentation index at: https://developer.bron.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Activities

> Retrieve information about all activities in the workspace

<sup>API Key permissions: View only, Transaction Operator, Full Access</sup>



## OpenAPI

````yaml /bron-open-api-public.json get /workspaces/{workspaceId}/activities
openapi: 3.1.1
info:
  description: >-
    Bron API is based on the RESTish interface provided for data exchange
    between a client and a server with the use of HTTPS requests and responses.
  title: Bron API
  version: latest
  x-bron-formats:
    bigint: Arbitrary-precision integer encoded as a JSON string.
    date-time-millis: >-
      Epoch milliseconds (UTC) encoded as a JSON string. Convert with `new
      Date(parseInt(value))` or equivalent.
    decimal: Arbitrary-precision decimal encoded as a JSON string.
    int32: 32-bit integer encoded as a JSON string.
    int64: >-
      Long integer encoded as a JSON string to preserve precision (e.g. account
      IDs).
servers:
  - description: app.bron.org
    url: https://api.bron.org
security: []
tags:
  - name: stake
  - name: balances
  - name: addresses
  - name: intents
  - name: assets
  - name: transaction-limits
  - name: canton
  - name: address-book
  - name: workspaces
  - name: accounts
  - name: transactions
paths:
  /workspaces/{workspaceId}/activities:
    get:
      tags:
        - workspaces
      summary: Get Activities
      description: >-
        Retrieve information about all activities in the workspace


        <sup>API Key permissions: View only, Transaction Operator, Full
        Access</sup>
      parameters:
        - description: Filter activities for specific IDs
          in: query
          name: accountIds
          required: false
          schema:
            items:
              type: string
            type: array
        - in: query
          name: offset
          required: false
          schema:
            format: int64
            type: string
        - in: query
          name: limit
          required: false
          schema:
            format: int64
            type: string
        - description: Search string based on activity name and description
          in: query
          name: search
          required: false
          schema:
            type: string
        - description: Filter activities by user IDs
          in: query
          name: userIds
          required: false
          schema:
            items:
              type: string
            type: array
        - description: >-
            Filter activities by activity types. [See
            details](/enums/ActivityType)
          in: query
          name: activityTypes
          required: false
          schema:
            items:
              $ref: '#/components/schemas/ActivityType'
            type: array
        - description: >-
            Exclude activities by activity types. [See
            details](/enums/ActivityType)
          in: query
          name: excludedActivityTypes
          required: false
          schema:
            items:
              $ref: '#/components/schemas/ActivityType'
            type: array
        - in: path
          name: workspaceId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Activities'
          description: OK
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - bad-request
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - forbidden
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Forbidden
        '409':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - conflict
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Conflict
components:
  schemas:
    ActivityType:
      enum:
        - login
        - new-device-login
        - failed-login
        - failed-2fa
        - guardian-declined
        - new-address-book-record
        - update-address-book-record
        - delete-address-book-record
        - workspace-creation
        - workspace-settings-approval-update
        - workspace-name-change
        - workspace-tag-change
        - tag-relinked
        - tag-auto-relinked
        - tag-deactivated
        - only-address-book-withdrawals-settings-update
        - transaction-approval-settings-update
        - workspace-members-approval-update
        - address-book-settings-approval-update
        - transaction-limits-approval-settings-update
        - member-creation
        - member-update
        - service-member-creation
        - transaction-limit-creation
        - transaction-limit-update
        - account-creation
        - passkey-creation
        - passkey-deletion
        - 2fa-change
        - email-change
        - account-pins-reset
        - shard-access-request-updated
        - signing-share-requested
        - signing-share-in-progress
        - signing-share-cancelled
        - signing-share-rejected
        - signing-recovery-requested
        - signing-recovery-in-progress
        - signing-recovery-cancelled
        - signing-recovery-rejected
        - face-scan-enrolled
        - face-scan-enrolment-removed
        - face-scan-recovery-verified
        - face-scan-recovery-failed
        - shard-recovery-face-verified
        - shard-recovery-face-failed
        - signing-access-revoked
        - transaction-completed
        - subscription-updated
        - trial-prolongation-requested
        - trial-prolongated
        - ownership-takeover-request-created
        - ownership-takeover-request-cancelled
        - ownership-takeover-new-beneficiary-added
        - ownership-takeover-beneficiary-left
        - ownership-takeover-request-completed
        - user-frozen
        - user-unfrozen
        - workspace-frozen
        - workspace-unfrozen
      type: string
    Activities:
      properties:
        activities:
          items:
            $ref: '#/components/schemas/Activity'
          type: array
      required:
        - activities
      type: object
    Activity:
      properties:
        accountId:
          examples:
            - ll14wqmznxm3zolsvkz0nqrw
          type: string
        activityId:
          examples:
            - a5784c206f5caa516142a60f66122efe
          type: string
        activityType:
          $ref: '#/components/schemas/ActivityType'
          description: '[See details](/enums/ActivityType)'
          examples:
            - account-creation
        createdAt:
          examples:
            - '1742572023000'
          format: date-time-millis
          type: string
        description:
          examples:
            - Vault account was added. Safari 18
          type: string
        title:
          examples:
            - Created Vault account
          type: string
        userId:
          examples:
            - d9f0202766935f8e856a0309
          type: string
        workspaceId:
          examples:
            - e191u51yxnykins6fahdizxy
          type: string
      required:
        - activityId
        - activityType
        - title
        - createdAt
      type: object

````